
while(true){
	let maxTime = 0
	let minTime = 1000
	let averageTime = 0
	let startTime = performance.now()
	let count = 0
	
	let lastNow = 0
	while(true){
		let now = performance.now()
		let delta = now - lastNow
		lastNow = now
		if(now - startTime > 20){
			maxTime = Math.max(maxTime, delta)
			minTime = Math.min(minTime, delta)
			averageTime += delta
			count++
		}
		if(now - startTime > 1000){
			break
		}
	}
	averageTime /= count
	if(global.gc){
		global.gc()
	}
	console.log("max:", maxTime.toFixed(10), "min:", minTime.toFixed(10), "ave:", averageTime.toFixed(10))
}